> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoutlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Page Content API

> Title, headings, links, and main text content of a page — useful for diffing a competitor's pricing page over time.



## OpenAPI

````yaml openapi.json GET /v1/website/content
openapi: 3.0.0
info:
  title: ScoutLayer API
  version: 1.0.0
  description: Competitor data. One API.
servers:
  - url: https://api.scoutlayer.io
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /v1/website/content:
    get:
      tags:
        - website
        - content
      summary: Extract structured content from a page
      description: >-
        Title, headings, links, and main text content of a page — useful for
        diffing a competitor's pricing page over time.
      parameters:
        - schema:
            type: string
            format: uri
            example: https://shopify.com/pricing
          required: true
          name: url
          in: query
      responses:
        '200':
          description: Extract structured content from a page
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageContent'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '501':
          description: This endpoint is declared but not yet implemented — never charged
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: The orchestrator failed or was unreachable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    PageContent:
      type: object
      properties:
        url:
          type: string
        title:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        mainContent:
          type: string
        headings:
          type: array
          items:
            type: object
            properties:
              level:
                type: integer
              text:
                type: string
            required:
              - level
              - text
        links:
          type: array
          items:
            type: object
            properties:
              text:
                type: string
              url:
                type: string
              isExternal:
                type: boolean
            required:
              - text
              - url
              - isExternal
        images:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
              alt:
                type: string
                nullable: true
            required:
              - url
              - alt
        checkedAt:
          type: string
      required:
        - url
        - title
        - description
        - mainContent
        - headings
        - links
        - images
        - checkedAt
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key passed as the X-API-Key request header. Recommended for
        server-to-server calls.
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (or OAuth token) passed as a Bearer token in the Authorization
        header.

````